View Issue Details

IDProjectCategoryView StatusLast Update
0030054CommunityOCCT:Modeling Algorithmspublic2021-12-13 14:56
Reporterdipts Assigned Toinv  
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.3.0 
Target Version7.7.0Fixed in Version7.6.0 
Summary0030054: BRepOffset_MakeOffset fails to build joints in intersection mode
DescriptionBRepOffset_MakeOffset does not build correct joints in intersection mode using a result of BRepOffsetAPI_ThruSections.
Steps To Reproducerestore RectLoft.brep
thickshell res RectLoft 1 i
TagsNo tags attached.
Test case numberbugs modalg_7 bug30054

Attached Files

  • RectLoft.brep (3,115 bytes)
  • Result.png (27,341 bytes)
  • Correct_Result.PNG (13,754 bytes)

Activities

dipts

2018-08-10 00:43

developer  

RectLoft.brep (3,115 bytes)

dipts

2018-08-10 00:45

developer  

Result.png (27,341 bytes)

dipts

2021-11-13 14:06

developer  

Correct_Result.PNG (13,754 bytes)

dipts

2021-11-13 14:08

developer   ~0105165

This issue is fixed with 7.6.0.

Please consider to take this case to the regression tests.

git

2021-11-13 23:53

administrator   ~0105170

Branch CR30054 has been created by msv.

SHA-1: ba2746329cf8434c414fd9d4fc2dffd0d9baaf29


Detailed log of new commits:

Author: msv
Date: Sat Nov 13 23:53:33 2021 +0300

    0030054: BRepOffset_MakeOffset fails to build joints in intersection mode
    
    Test case has been added.

msv

2021-11-13 23:55

developer   ~0105171

The branch CR30054 is ready for review.

emv

2021-11-16 08:24

developer   ~0105204

Reviewed.
For integration:
OCCT - CR30054

bugmaster

2021-11-21 12:31

administrator   ~0105286

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105851

Branch CR30054 has been deleted by kgv.

SHA-1: ba2746329cf8434c414fd9d4fc2dffd0d9baaf29

Related Changesets

occt: master 519c84b4

2021-11-13 20:53:33

msv


Committer: inv Details Diff
0030054: BRepOffset_MakeOffset fails to build joints in intersection mode

Test case has been added.
Affected Issues
0030054
add - tests/bugs/modalg_7/bug30054 Diff File

Issue History

Date Modified Username Field Change
2018-08-10 00:43 dipts New Issue
2018-08-10 00:43 dipts Assigned To => msv
2018-08-10 00:43 dipts File Added: RectLoft.brep
2018-08-10 00:45 dipts File Added: Result.png
2019-08-12 17:45 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:53 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:51 msv Target Version 7.6.0 => 7.7.0
2021-11-13 14:06 dipts File Added: Correct_Result.PNG
2021-11-13 14:08 dipts Note Added: 0105165
2021-11-13 23:53 git Note Added: 0105170
2021-11-13 23:55 msv Note Added: 0105171
2021-11-13 23:55 msv Assigned To msv => emv
2021-11-13 23:55 msv Status new => resolved
2021-11-13 23:55 msv Test case number => bugs modalg_7 bug30054
2021-11-14 12:09 kgv Fixed in Version => 7.6.0
2021-11-16 08:24 emv Note Added: 0105204
2021-11-16 08:24 emv Assigned To emv => bugmaster
2021-11-16 08:24 emv Status resolved => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:31 bugmaster Note Added: 0105286
2021-11-21 12:46 inv Changeset attached => occt master 519c84b4
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105851